# Generated by Django 2.2.24 on 2021-06-08 04:44

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Currency',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('slug', models.SlugField(help_text='used for URLs, auto-generated from name if blank', max_length=255, unique=True, verbose_name='slug')),
                ('symbol', models.CharField(max_length=3, verbose_name='symbol')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='currency_currency_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='currency_currency_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'currency',
                'verbose_name_plural': 'currencies',
                'ordering': ('ordering', 'code'),
                'permissions': (('list_currency', 'Can list currency'), ('detail_currency', 'Can detail currency'), ('disable_currency', 'Can disable currency')),
            },
        ),
    ]
